## 问题修复以及小幅改进

- 使用 Prometheus 监控 Citadel（[Issue 12175](https://github.com/istio/istio/pull/12175)）。
- 改善 [`istioctl verify-install`](/docs/reference/commands/istioctl/#istioctl-verify-install) 命令的输出（[Issue 12174](https://github.com/istio/istio/pull/12174)）。
- 降低 SPIFFE URI 缺失 Service account 时产生的日志级别（([Issue 12108](https://github.com/istio/istio/issues/12108))）。
- 修正 SDS 功能中的 Unix socket 路径（[Issue 12688](https://github.com/istio/istio/pull/12688)）。
- 修正了 Envoy 的跟踪问题：如果父级 Span 传播了一个空字符串出去，则无法创建子 Span （[Envoy Issue 6263](https://github.com/envoyproxy/envoy/pull/6263)）。
- 为 Gateway 的 `port` 名称加入命名空间范围限制，这修正了两个问题：
    - `IngressGateway` 只使用第一个 Gateway 定义中的 443 端口（[Issue 11509](https://github.com/istio/istio/issues/11509)）
    - 在使用 SDS 支持 https 的情况下，如果两个不同的 Gateway 对象中用了同样的端口名称，Istio `IngressGateway` 路由会路由到第一个定义上。
- 修复了支持区域权重的负载均衡行为：
    - 修复了为每个区域创建空端点的问题（[Issue 12610](https://github.com/istio/istio/issues/12610)）。
    - 正确的提交支持区域的负载均衡配置（[Issue 12587](https://github.com/istio/istio/issues/12587)）。
    - 在 Kubernetes 中，区域标签 `istio-locality` 不应包含 `/`，改用 `.`（[Issue 12582](https://github.com/istio/istio/issues/12582)）。
    - 修复区域性负载均衡的崩溃问题（[Issue 12649](https://github.com/istio/istio/pull/12649)）。
    - 修复区域性负载均衡的常规化过程中的问题（[Issue 12579](https://github.com/istio/istio/pull/12579)）。
- 传递 Envoy 指标服务的配置（[Issue 12569](https://github.com/istio/istio/issues/12569)）。
- 仅在正确的 Gateway 上应用 `VirtualService`（[Issue 10313](https://github.com/istio/istio/issues/10313)）。
